Subject: Re: Liriope Invasion

From: [email-masked] (Major)
Date: 5 Apr 1995 00:06:38 GMT

In <[email-masked]> [email-masked] (Chad James Segura) writes: 

>
>[email-masked] wrote:
>: I am a newbie who has just purchased a new house that is being overrun by an
>: ornamental grass, I believe it is called liriope.  What can I do to get rid of
>: it?  I don't want to poison the trees around the liriope. 
>
>: Thanks,
>
>: Myra Amler
>: [email-masked]
>
>Pull it out.
>Chad
>
>

Glyphosate, the chemical in Roundup if great for grass removal. Glyphosate is not persistent 
in the soil and will break down chemically within 24 hours. Plyphosate works
not by "poisoning" the plant like petroluum based herbicides, but rather by preventing
the plant from producing enzymes it needs to continue to grow. It may take a week
to wipe out the grass, but it will be taken out to the root. Ask at you local graden center.